/*
    BT Switch
    Copyright 2007 - 2008 Martin Storsj

    This program is free software; you can redistribute it and/or modify
    it under the terms of the GNU Lesser General Public License as
    published by the Free Software Foundation; either version 2.1 of the
    License, or (at your option) any later version.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU Lesser General Public License for more details.

    You should have received a copy of the GNU Lesser General Public
    License along with this program; if not, write to the Free Software
    Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA 02110-1301 USA
*/

#ifdef EKA2
#include <eikstart.h>
#include <bteng.h>
#include <flogger.h>

void ToggleBTL() {
	CBTMCMSettings* settings = CBTMCMSettings::NewLC(NULL);
	TBool powerState;
	TInt err = settings->GetPowerState(powerState);
	err = settings->SetPowerState(!powerState);
	CleanupStack::PopAndDestroy(settings);
}

GLDEF_C TInt E32Main() {
//	return EikStart::RunApplication(NewApplication);
	CTrapCleanup* cleanup = CTrapCleanup::New();

	CActiveScheduler *sched = new CActiveScheduler();
	CActiveScheduler::Install(sched);

	TRAPD(err, ToggleBTL());

	delete sched;
	delete cleanup;
	return err;
}

#else

EXPORT_C CApaApplication* NewApplication() {
//	return static_cast<CApaApplication*>(new CBTSwitchApplication());
	return NULL;
}

GLDEF_C TInt E32Dll(TDllReason aReason) {
	return KErrNone;
}

#endif

